Bug 592270 - Some of APIs' return values do not conform their documentation
Summary: Some of APIs' return values do not conform their documentation
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API   
(Show other bugs)
Version: 530
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2010-05-14 11:57 UTC by Martin Osvald 🛹
Modified: 2018-10-27 11:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 14:19:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Osvald 🛹 2010-05-14 11:57:30 UTC
Description of problem:

This is a case of e.g. kickstart.profile.getVariables/setVariables - instead of an array of keyValue structs you get a single struct with each variable as a member.

Basically instead of:
<params>
<param>
  <value>
    <array>
      <data>
        <value>
          <struct>
            <member>
              <name>key</name>  
              <value><string>org</string></value>
            </member>
            <member>
              <name>value</name>  
              <value><string>1</string></value>
            </member>
          </struct></value>
          <value><struct>
            ...

It returns:
<params>
<param>
  <value>
    <struct>
      <member>
        <name>org</name>
        <value><string>1</string></value>
      </member>
      <member>
      ...

You can find a documentation for this API e.g. here:

https://<yoursatelliteserver>/rhn/apidoc/handlers/ProfileHandler.jsp


Version-Release number of selected component (if applicable):

Satellite 5.3


Actual results:

Documentation doesn't conform to APIs' behaviour.


Expected results:

It should conform.


Additional info:

According to Tomas Lestach (tlestach@redhat.com), there are more such incorrectly documented APIs. It needs to be checked and fixed.

Comment 4 Clifford Perry 2013-10-11 14:19:05 UTC
Closing this out as deferred. 

We have fixed documentation for API's quite a lot over the years in an effort to ensure it is correct. If there are specific instances of incorrect data, please open specific bugs and we will attempt to address them. 

Cliff


Note You need to log in before you can comment on or make changes to this bug.